Welcome to XC Mux

XConnect is Sutron Corporation's latest data collection, data processing and data storage software. Built on the strong principles of PcBase2, XConnect is compliant with today's 32-bit Windows operating systems and provides new tools and options for the user.

XConnect is a collection of executables designed to provide a complete solution for data collection, data handling, data viewing and data storage

The role of XC Mux within an XConnect data collection system is to retrieve DCP messages from a Sutron receive site multiplexor/digitial direct readout ground station (DDRGS) and store them in ASCII files. XC Mux interfaces with the Sutron receive site (DDRGS) via a standard serial port connection.

These ASCII files are called Raw files because that contain raw (undecoded) satellite messages. Actual decoding and processing of the messages is performed by the XC Decode program.

Note: Throughout the help text, receive site muiltiplexor, mux, DDRGS will used interchangeably.

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Moving around in XC Mux

The XC Mux application consists of these main areas:

  • The Menu Bar provides access to all user-controllable functions within the application.

  • The Toolbar provides one-click access to important functions.

  • The Status Window provides the user with informational or error messages.

  • The Latest Message panel displays information about the most recently received message.

Click an area on the image below for more information.

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Data Flow

Data flow in satellite systems using XC Mux is represented below.

  1. XC Mux and XC Decode retrieve setup information from XC Setup.

  2. XC Mux receives satellite messages from DDRGS

  3. XC Mux saves messages into Raw files

  4. XC Decode reads Raw files and processes the data based on setup and sensor information

  5. XC Decode stores data to data storage option


RAW files

All satellite messages received by XC Mux are stored into raw files. It is good practice to backup/archive all raw files on CD or tape. Because they contained the original measured data values, they can always be re-read or re-processed by XC Decode to create any final data storage output.

If ever a new equation or rating/look up table to older data, having the original raw files allows XC Decode to apply whatever adjusted equation to the data. In many cases, the original satellite messages are transmitted in ASCII, so can easily be exchanged with other organizations to share data history.


Messages in the status window

All messages from the receive site start with a 'H', '+' or '-'. Any other line is considered garbage. If repeated garbage lines occur, use the Protocol Analyzer to capture the messages from the DDRGS.

All messages from the a receive site will end with a line starting with a '-'. If an an ending line is not received, then it is considered a partial message. If repeated partial messages occur, use the Protocol Analyzer to capture the messages from the DDRGS.

The PC time will be corrected as displayed. This applies if there is a True Time clock receiver connected to the DDRGS and it is synchronizing the PC time.

Hourly, XC Mux will check the time of the DDRGS, if the PC is responsible for time synchronization. If a correct is needed, it will first display the Current Mux time.

The DDRGS time will be corrected as displayed. In most cases, the PC will maintain the time synchronization. A PC time sync application will, via the WWW, requested the time from one of many time sources. Hourly, the PC will verify the time of the DDRGS.

Hourly, XC Mux will check the time of the DDRGS, if the PC is responsible for time synchronization. If no time changes are required, this message will be displayed.

XC Mux will send reset the DDRGS/Mux hardware upon application start up or when the user manually selects the Reset Mux option from the Options main menu.

The format of a message received by XC Mux is very specific. In some cases, if some characters are missing in the header portion, they can be corrected.

The receive site hardware has a limitation on the number of messages that can be stored in its' buffer before being downloaded by XC Mux. If the number of messages exceeds the buffer limit, new messages received by the DDRGS will overwrite existing messages in the buffer, resulting in a loss of data.

Ensure that XC Mux is running while the DDRGS is powered up and receiving satellite messages. XC Mux is always clearing and saving messages from the DDRGS buffer to raw files.

XC Mux is performing its hourly time check with the DDRGS.

If XC Mux is set to listen mode, then that indicates another XC Mux running on another PC is in the primary role of communciation commands to the DDRGS. This warning will be displayed each time an option is selected that will send a command to the DDRGS on the XC Mux set to listen mode.

When using the Terminal mode, the DDRGS will be changed from data collection mode to data configuration mode. This will stop the receiving of messages by XC Mux. The DDRGS will start to buffer the satellite messages.

Make sure when you are finished to return the DDRGS to data collection mode before closing the terminal window . Otherwise, no new messages will be saved to raw files.

Before exiting the Terminal mode window, you will be reminded to make sure the DDRGS is in Normal mode to resume receiving of satellite messages. Use the Help panel to enter the correct command for Normal mode.

Upon exiting, XC Mux will complete downloading of current message before closing.

Messages in the status window

Below are the status messages XC Mux will display in the status window as it processes data from the receive site:

  • WARNING: Garbage line received xxx.

  • WARNING: Received partial message from Mux - xxx.

  • Correcting PC time to xxx.

  • Current Mux time is xxx.

  • Correcting Mux time, was xxx.

  • No time correction required.

  • Resetting Mux hardware.

  • CAUTION! Correctable error detected in header.

  • WARNING! Mux buffer may have overflowed resulting in loss of data.

  • Checking Time...

  • DDRGS is set to Listen mode. Do you still want to continue?

  • DDRGS will be switched from data collection mode to data configuration mode. Do you still want to continue?

  • Please make sure DDRGS is in Normal Mode. Continue?

  • Finishing download of current message...


Clearing the status window

The purpose of the status window is for XC Mux to display the informational and warning messages. To clear the window of existing messages:

  1. Click the XC Mux icon on the desktop. The XC Mux application will start minimized.

  2. From the Options menu, select Clear Status Messages or from the toolbar click on the [image] icon.


Editing setup parameters

The lower case letters "yy", "yyyy", "mm, "dd", "hh", "mi" can be included in the name to instruct the software to created separate minute, hourly, daily, monthly, or yearly files. Optionally, "#nn: can be added to specify that a new file should be created every nn minutes (when using "mi") or hours (when using "hh"), or days (all other). The "#nn" can appear anywhere in the string, where nn must be two digits with leading zeros, if necessary.

The dating of raw files is important for easy backup, purging or distribution of raw data; and reprocessing of raw data through XC Decode. If the files are allowed to grow too large, these processes will become more difficult or require excessive time to perform. The default setting of yyyymmdd.RAW creates a separate file each day.

Example 1:

MYDATdd.RAW would create the file MYDAT01.RAW on the first day of the month, MYDAT02.RAW on the second day, and so on until the next month MYDAT01 would be used again. NESmm.RAW would create the file NES01.RAW to contain all the data for January, NES02.RAW to contain all the data for February, and so on until the next month.

Example 2:

yymmddhh.RAW#02 would create a new output file every 2 hours. If the "#02" was left off, a new file would be created every hour. As well, mmddhhmi.RAW#15 would create a new output file every 15 minutes.

Using the raw file naming convention, files will be created daily, hourly or as the user-defines. Thus, when the day ends or the hour is over, the current raw file will be closed and a new one opened.

Upon closing the current raw file, a copy of the file will be made and moved to each Raw File Copy subdirectory.

Editing setup parameters

In setting up and maintaining a GOES receive site there are a number of critical parameters that must be configured properly. To set these parameters:

  1. Click the XC Mux icon on the desktop. The XC Mux application will start minimized.

  2. From the Options menu, select Edit Setup Parameters or from the toolbar click the [image] button.

  3. The Edit Mux Setup Parameters window appears.

From this window you can make changes to the mux setup as described below. When you are finished, click the OK button to save changes. Changes will be saved to XC Setup. Clicking Cancel will close the window without saving changes.

This parameters are the same as viewed and edited in XC Desktop - XC Mux Setup window. The user has the option to edit the parameters within XC Mux or in XC Desktop.

XC Mux Setup Parameters

  • Raw Path - The directory to store the raw NESDIS files as the satellite messages are received by the DRGS hardware.

  • Raw File - The naming pattern of the raw data output files. The pattern contained in this field determines the name of the file which XC Mux will create and/or append to as messages are received from the multiplexor. Tips on raw file naming convention.

  • DDRGS Type - This indicates whether the receive site multiplexor is a DDRGS or a HDR DDRGS. If your receive site can receive satellite messages at 100, 300 and 1200 baud, select HDR DDRGS.

  • DDRGS Time Offset - Hourly XC Mux will check the time of the DDRGS. If it has differed from the PC clock, a time correction will be sent. It is important to keep the PC clock synchronized. The DDRGS Time Offset will be subtracted from the PC time before being sent to the DDRGS.

  • Com Port - the PC port number to which the receive site multiplexor is physically connected. (eg, COM1...COM9).

  • Listen Mode Only - If two PCs are connected to the same receive site multiplexor, then only one can be considered the primary controlling PC. The other PC, secondary, will have XC Mux configured to Listen mode, receiving and storing messages, but not controlling the DDRGS.

  • Save real-time data items - XC Mux will store all data values it keeps in its internal real-time database. The real-time database is used by clients requesting DDE or COM sensor data. If using Wonderware or other HMIs, saving the data items and loading them on start-up will initialize all DDE points used on the HMI. If not used client software, this flag should remain unchecked.

  • IP Address - This parameter is used only for the DSR DRGS. IP address of the DSR DRGS computer. Ensure the IP address matches the port number set in the DSR DRGS configuration software. Go to the Properties main menu of the DCP Monitor software provided by the DSR DRGS manufacturer. Select the General option from the Properties main menu. Verify the IP address parameter.

  • IP Port - IP port of the DSR DRGS. Ensure the port number matches the port number set in the DSR DRGS configuration software. Go to the Properties main menu of the DCP Monitor software provided by the DSR DRGS manufacturer. Select the General option from the Properties main menu. Verify the Port number parameter.

  • Force Time Sync - Check this option to force the time synchronization between the PC time and the DDRGS time. XC Mux synchronizes the DDRGS time with the PC hourly. If the time difference between the DDRGS and the PC is greater than 2 seconds, XC Mux will send a time command to the DDRGS.

  • Raw File Copies - Alternate copies of the raw files will be created. Alternate copies will be created in subdirectories of the Raw Path named Copy1, Copy2, Copy3...etc. The alternate copy is created after the raw file is closed [image] .

  • Add ETX as EOM - Used with DSR DRGS, if checked, three ETX characters will be appended to each raw messages when written to the raw files. This aids as a delimiter marker for the end of a raw message for other decoding programs.

  • No NESDIS Header - Check this flag if you would prefer to strip off the NESDIS header (first 37 characters) from the satellite message before storing to the raw file. This flag is rarely used. This may be useful if the transmitted message is a complete formatted text message (i.e. WMO message) that just needs to be stored to disk.

  • Run Parameters - An optional list of programs to run when the XC Mux program is started. These programs will be started before XC Mux begins processing messages. If the application does not reside in the XConnect home directory, list the file path with the executable name (i.e., c:\myapp\myapp.exe).

As an example, a custom client program may used to display decoded data in a specific layout. To ensure the client program is automatically running when XC Decode starts, add the client program executable name to the Run parameter list.

XC Mux Demod Setup Parameters

  • Demod - Each demodulator in the receive site will must have a unique id number. For the HDR DDRGS the range of demods is 00-15. For all other DDRGS models, the range of demods is 00-07. Enter the number for the demod whose settings are to be added or updated.

  • Channel - This indicates which channel the demod is set to. The Channel should always be 3 digits long, 000 -199 and is assigned to you with the satellite id.

  • Location - Select from the drop-down the geographic location for the satellite. E should be used for GOES East, W for GOES West, and C for GOES Central.

  • Baud - Select from the drop-down list the data rate (bps) for this demod (used for HDR DDRGS only).

  • Threshold - Saturation threshold for each demod (used for HDR DDRGS only). Value is as a sensitivity or noise threshold.

Typical threshold settings for the DDRGS are 40 dB for 100 baud channels and 60 dB for 300 and 1200 baud channels.

Note: After adding or making changes to any of the demod fields, click on either the Add button (for a new demod) or Update button (for an existing demod).


Opening and Closing the port

XC Mux communicates with the DDRGS via one of the PC serial ports. Should it become necessary to change to a different port, you can do so simply by closing the existing port and opening a new port. Do the following:

  1. Click the XC Mux icon on the desktop. The XC Mux application will start minimized.

  2. From the Port menu, select Close Mux Port or click the [image] button on the toolbar.

  3. To connect to a port go to the Port menu and select Open Mux Port or click the [image] button on the toolbar.


Configuring demods

Configuring demods in receive site

Channels must be configured in the DDRGS. A DDRGS has demodulators that must be configured to channels. These channels are the channels assigned with the satellite IDs.

To set/modify demodulator settings:

  1. Click the XC Mux icon on the desktop. The XC Mux application will start minimized.

  2. From the Tools menu, select Send Demod Settings or from the toolbar click on the [image] button. The "Send Demod Settings to DDRGS" window appears.

If this is the first time you are changing demod settings:

  1. From the Retrieve menu, select Retrieve Demod Setting. Select the demod to retrieve settings for. Repeat for each demod. The current settings for all demods are listed in the display.

Modifying/setting demod settings

  1. Click on the demod you want to modify from the list.

  2. From the Options menu, select Edit Demod Setting. The "Edit Demod Settings" panel appears.

  3. Make the desired edits to any of the fields and click OK.

  4. From the Options window select Save Demod Setting. This causes XC Mux to send the updated settings to XC Setup.

  5. From the Send menu, select Send Channel Settings. For HDR DDRGS, also select Send Baud Rate Settings, and Send Threshold Settings, if necessary. This causes XC Mux to send the appropriate Set command to the demod hardware. These are displayed at the bottom of the window along with the demod response.

  6. Repeat steps 1-5 for each demod to be configured.


Setting the DDRGS clock

XC Mux will automatically send a set-time command to the receive site once per hour. The purpose of the set-time command is to synchronize the PC and multiplexor clocks. XC Mux will first wait for all the current message to be downloaded before sending the set-time command.

To manually set the receive site hardware clock:

  1. Click the XC Mux icon on the desktop. The XC Mux application will start minimized.

  2. From the Options menu, select Set Time or from the toolbar click the [image] button.

Note: In either the automatic or manual case, sending a set-time command will result in one of two different actions depending on the hardware that is present. If there is a TRUE TIME clock connected to the receive site multiplexor, XC Mux will set both the receive site clock and PC clock to match the TRUE TIME clock. If there is not a TRUE TIME clock, the action is to set the multiplexor clock to match the PC time.

XC Mux will send the time command. Next, it will request the time to verify the prior time command was received and accepted. It will test to ensure the difference between the DDRGS time and the PC time is within 2 seconds. If not, XC Mux will send another time command. XC Mux will try up to 10 times to ensure the time difference is less than 2 seconds.


Resetting the DDRGS

The Sutron receive site multiplexor (DDRGS) will perform a firmware reset whenever it receives the reset command over the serial port. Normally, XC Mux will automatically issue this command shortly after it starts. (If there are messages present in the multiplexor, XC Mux will first process these messages.)

However, it is possible to manually issue a reset command to the multiplexor at any time using XC Mux. To reset the multiplexor:

  1. Click the XC Mux icon on the desktop. The XC Mux application will start minimized.

  2. From the Options menu, select Reset Mux.

Warning: Manually issuing a reset command while DCP messages are buffered in the multiplexor will result in the loss of these messages!


Refreshing Setup parameters

XC Mux gets the configuration data it needs from the XC Setup program. Since most of this information is requested at application startup, there needs to be a mechanism for propagating changes that are made to the setup after XC Mux is already running. This mechanism is provided via the Reinitialize [image] function which can be found in XC Mux on the toolbar or under the FILE menu.

Clicking the Reinitialize [image] button causes XC Mux to flush the current setup information from its buffer and request new setup information from XC Setup. In addition, XC Mux will also release (close) its port and then open a port using the new IP specified in the newly refreshed setup information.


Viewing Demod summary

Viewing Demod summary window

XC Mux provides a window to display the last message received by each demodulator. can create a station summary on one more of your DCPs. To view station summaries or generate performance reports:

  • Click the XC Mux icon on the desktop. The XC Mux application will start minimized.

  • From the Tools menu, select Station Summary or from the toolbar click on the [image] button. The "Demod Summary" window appears.

For each demodulator, the last satellite id, the time message received, the corresponding channel, the signal strength and the message status are displayed in real-time, Additionally, the latest message received overall by the DDRGS is highlighted.


Getting a station summary

Creating a station summary or performance reports

In order to provide you with an up-to-date report on the quality of your satellite data collection network, XC Mux can create a station summary on one more of your DCPs. To view station summaries or generate performance reports:

  • Click the XC Mux icon on the desktop. The XC Mux application will start minimized.

  • From the Tools menu, select Station Summary or from the toolbar click on the [image] button. The "Station Summary" window appears.

The Station Summary window can be used in several different modes depending on the desired outcome. Performance data on an individual station and particular message can be retrieved and viewed using the top (Select) and middle (Station Results) panels of the window. A summary of all the good/bad/complete/incomplete messages for a specific station/satellite id is displayed in the middle panel of the Station Summary window. Each individual message can also be viewed.

Alternatively, a separate performance report file (.XLS) of aggregate data on all messages system-wide or by channel can be generated using the bottom panel of the window. The performance report summarizes variances of all the quality parameters in the headers of all messages for stations and channels.

The details for generating the summaries and performance reports are described below.

Creating a station summary

Viewing a summary by Station Name

  1. In the top Select panel, click on the List Stations button. All the stations configured in XC Desktop will appear in the drop-down list box.

  2. Select a station name from the drop-down list.

  3. Select a raw file by typing the name in the Raw File field or click on the Browse button and locate/select the desired raw file.

  4. Finally, click on the Get Results button. The results appear in the middle Station Results panel.

  5. All messages transmitted by the station name selected in step 2 contained in the raw file selected in step 3 will be counted and evaluated as good/bad/complete/total messages [image] .

Viewing a summary by Satellite ID

  1. In the top Select panel, click on the List Satellite ID button. All the satellite IDs corresponding to stations configured in XC Desktop will appear in the drop-down list box.

  2. Select a satellite ID from the drop-down list.

  3. Select a raw file by typing the name in the Raw File field or click on the Browse button and locate/select the desired raw file.

  4. Finally, click on the Get Results button. The results appear in the middle Station Results panel.

  5. All messages transmitted by the station name selected in step 2 contained in the raw file selected in step 3 will be counted and evaluated as good/bad/complete/total messages [image] .

Viewing a summary by Custom ID

  1. In the top Select panel, click on the Custom button.

  2. The user can type in a custom satellite ID in the edit box to the right. Use this option, if the satellite ID is not configured in XC Desktop.

  3. Select a raw file by typing the name in the Raw File field or click on the Browse button and locate/select the desired raw file.

  4. Finally, click on the Get Results button. The results appear in the middle Station Results panel.

  5. All messages transmitted by the station name selected in step 2 contained in the raw file selected in step 3 will be counted and evaluated as good/bad/complete/total messages [image] .

Generating a performance report

TIP: Performance reports are generated from Quality log (.LOG) files. These files are generated if the Store Quality parameter is checked in the Decoder setup window of XC Desktop and the Data Storage option is not a database option. The database option will generate a different performance report using XC Reports.

Generating a performance report by channel

  1. In the bottom Performance Report panel, click on the List Channels button. All the channels configured in XC Desktop will appear in the drop-down list box.

  2. Select a channel from the drop-down list or click All Channels to generate report on all channels.

  3. Select a quality log file by typing the name in the Quality File field or click on the Browse button and locate/select the desired quality file [image] .

  4. Finally, click on the Create Report button. An Excel file will be created containing the results. The performance report will be created in the same directory as the quality file with the same name but and XLS extension [image] .

Generating a performance report by station

  1. In the bottom Performance Report panel, click on the List Stations button. All the stations configured in XC Desktop will appear in the drop-down list box.

  2. Select a channel from the drop-down list or click All Stations to generate report on all stations.

  3. Select a quality log file by typing the name in the Quality File field or click on the Browse button and locate/select the desired quality file.

  4. Finally, click on the Create Report button. An Excel file will be created containing the results. The performance report will be created in the same directory as the quality file with the same name but and XLS extension.

Generating a performance report by custom channel

  1. In the bottom Performance Report panel, click on the Custom Channel button.

  2. The user can type in a custom channel in the edit box to the right. Use this option, if the channel is not configured in XC Desktop.

  3. Select a quality log file by typing the name in the Quality File field or click on the Browse button and locate/select the desired quality file.

  4. Finally, click on the Create Report button. An Excel file will be created containing the results. The performance report will be created in the same directory as the quality file with the same name but with an .XLS extension.

Generating a performance report by custom station

  1. In the bottom Performance Report panel, click on the Custom Station button.

  2. The user can type in a custom station name in the edit box to the right. Use this option, if the station name is not configured in XC Desktop.

  3. Select a quality log file by typing the name in the Quality File field or click on the Browse button and locate/select the desired quality file.

  4. Finally, click on the Create Report button. An Excel file will be created containing the results. The performance report will be created in the same directory as the quality file with the same name but with an .XLS extension.


Using terminal mode

To facilitate easy configuration of the receive site, the Sutron DDRGS supports a command-based serial interface which allows the user to configure various settings by simply entering text commands via a terminal interface. While in most situations, XC Mux will issue these commands automatically, it may occasionally be necessary for a user to manually enter commands. (In troubleshooting the DDRGS for example.)

In order to manually send commands to the DDRGS, you will need to use the terminal mode feature of XC Mux. To enter terminal mode:

  1. Click the XC Mux icon on the desktop. The XC Mux application will start minimized.

  2. From the Tools menu, select Terminal Mode or from the toolbar click [image]. The "Mux Terminal Mode" window appears.

  3. A brief synopsis of the DDRGS command syntax appears at the bottom of the window. For more detailed information on manual configuration of the DDRGS consult the manual (Sutron part number 8111-1082) that came with your receive site. Important commands are:

    • O100 - Switch to Verbose mode.

    • O000 - Switch to Normal/Silent mode.

    • H - Display current settings and help (Verbose mode function).

    • M - Monitor DDRGS (Verbose mode function).

Copyright © 2002 Sutron Corporation. All rights reserved.


Using the protocol analyzer

Communication between the XC Mux application and the Sutron DDRGS occurs over a serial interface. In troubleshooting receive site problems, it may be useful to observe the commands and responses passing back and forth over the communication port by using the protocol analyzer feature in XC Mux.

To use the protocol analyzer:

  1. Click the XC Mux icon on the desktop. The XC Mux application will start minimized.

  2. From the Tools menu, select Protocol Analyzer or from the toolbar click [image] . The "Protocol Analyzer" window appears.


INSAT Header and Message

INSAT Satellite Header Field Description

CE12265402365235959G46-3NN052WFF00029123:C1 0000 :C2 0511 ... :10 0.000000¨

1       2 3  4 5 6 78 9 ABC  DE F    G                                    H

Field #

Byte Length

Range

Description

1

8

0-9,A-F

Satellite ID, Platform ID, DCP Address

2

2

00-99

Year message was received relative to GMT

3

3

000-365

Julian day message was received relative to GMT

4

2

00-23

Hour message was received relative to GMT

5

2

00-59

Minute message was received relative to GMT

6

2

00-59

Second message was received relative to GMT

7

1

G,?,W,A,B,T,U, M,I,N,Q,C,S

Failure Code

G - Good Message

? - Message received with parity errors

M - Missing message

S - Short or Truncated message (Sutron Only)

THE FOLLOWING CODES ARE USED BY NESDIS ONLY:

W - Message received on wrong channel

D - Message received on multiple channel (duplicate)

A - Message received with address error(s) (correctable)

B - Message received with bad address (not correctable)

T - Message received late/early (time error)

U - Unexpected message

I - Invalid address

N - PDT entry for platform not complete

Q - Bad quality measurements

C - Comparison error on test transmission

Note: The PDT is NESIDS's platform description table.

8

2

32-57

Signal Strength of received message in dB.

Normal operation is 44-48.

Reliable data can be received as low as 37 if not other signal problem exists.

9

2

0,1,2...9,A

-1,-2...-9,-A

Frequency Offset in 50 Hz increments.

0=0-49 Hz, 1=40-99 Hz,...8=400-449 Hz, A=500-549 Hz.

A minus sign indicates the same range only below the center frequency.

A

1

N,H,L

Modulation Index or Phase Deviation

N = Normal, 60 +/- 5 degrees

H = High, > 70 degrees

L = Low, < 50 degrees

B

1

N,H,P

Modulation Quality

N = Normal, error rate better than 1x10-6

F = Fair, error rate between 1x10-4 and 1x10-6

P = Poor, error rate worse than 1x10-4

C

3

000-999

Channel message was received on

D

1

E,W,C,A

Satellite Spacecraft Location

E - GOES East

W = GOES West

C = GOES Central (not currently used)

THE FOLLOW CODES HAVE BEEN DEFINED BY SUTRON TO SUPPORT NON-GOES SATELLITES:

A = ARGOS (Never see this from NESDIS)

E

2

FF

Uplink carrier status (not used, always FF)

F

5

00000-15750

Message Data Length (plus 4 bytes to account for satellite ID which used to be contained in the message + 1 byte for the EOT stored as a blank space at the end).

In the example, there are actually only 24 bytes of data, however, 24+4+1 or 29 is the actual number stored in the data length.

G

Message Data Length minus 5

!-~,CR,LF, SPACE

Message data.

Can be continued on multiple lines separated by a CR and a LF.

H

1

¨

Blank space representing EOT (End of Transmission) at end of message.


Troubleshooting tips

XC Mux will always transmit a [CR] (carriage return) as a request for new messages to the DDRGS.

Check and secure serial cable connection between PC and DDRGS.

This response indicates that the DDRGS is responding to commands but not receiving any satellite messages. Incoming satellite messages should occur frequently.

When messages are in the buffer, the RX response should be 2 0, which in this case indicates 2 messages waiting to be downloaded.

Verify RF coaxial cable connection between DDRGS and satellite dish.

If error persists, continue with Terminal Mode troubleshooting.

Type O100 (letter O, number 1, number 0 and number 0) and press Enter. This Verbose mode is also used for debugging problems.

First change to Verbose mode. Then, type H and press Enter. The help command gives a quick list of commands that are available to the user. Additionally, the current of channel assignments for the demodulators is displayed.

When channel are configured, they must be explicitly saved using the S command. Otherwise, in the case of power loss or shutdown of DDRGS, all settings are lost.

If channels assignments were lost, no satellite messages would be received.

First change to Verbose mode. Then type M to toggle the Monitor mode. The received signal strength of the pilot signal will be continuously displayed.

Observe the instantaneous pilot readout (PPower and PQual) values. After approximately one minute, the average power column will present a value based on the average of the instantaneous power. This is done because the pilot signal power is not a constant value.

The total downlink power is shared with all responding channels at the same time. This causes the overall power to drop during periods of heavy transmissions. A strong average power signal should be above 60 dB.

Troubleshooting tips

XC Mux should always be communication to the DDRGS. Every second XC Mux is querying the DDRGS for messages in the buffer. The DDRGS will always respond, if only to indicate no messages are available. If, after a minute, no response is received from the DDRGS, XC Mux will display a warning message and start to beep [image] .

A communication disconnect can result from an 1) intentional disconnect of the RS-232 serial cable between the PC or DDRGS or 2) unexpected communication loss. If the disconnect is intentional, then close the warning window an manually close the communication port. This will prevent the warning box to re-appear.

If an unexpected disconnect occurs, use these guidelines for troubleshooting.

Troubleshooting with Protocol Analyzer

Open protocol analyzer to verify communication loss between XC Mux and DDRGS. The TX: lines displayed in the protocol analyzer indicate data transmitted by XC Mux to the DDRGS. The RX: lines will indicated data transmitted by the DDRGS to XC Mux.

  • If only TX lines are displayed

  • If the RX lines received are 0 0 for several minutes

Troubleshoot with Terminal Mode

Open terminal mode and start using the command-based serial interface. Using the DDRGS commands will allow a more advanced level of troubleshooting. Using the terminal mode in XC Mux is equivalent to using Hyperterminal.

  • Change from Normal mode to Verbose mode

  • Verify demodulators settings are configured in DDRGS

  • Monitor power levels


Error messages

Troubleshooting steps:

Reasons for error:

  • User name is not configured for read/write privilege.

Return to XC Desktop to configure user privileges.

Troubleshooting steps:

Ensure that:

  • User name and password are entered correctly.

  • Caps lock key is on (User name and passwords are case-sensitive).

Troubleshooting steps:

Potential reasons for error:

  • Application on Run parameter line does not exist.

Make sure the correct path and name are typed (i.e. c:\myapp\mynewapp.exe)

  • First application on Run parameter is run but others are not.

If all paths and filenames are correct, make sure each application name is separated by a comma only and not a comma and space.

Troubleshooting steps:

A COM interface connection is made by each XConnect application to XC Setup. This allows the applications to retrieve and send configuration parameters related to XC Mux.

Potential reasons for error:

  • XC Setup is not running.

Close current application and restart. XC Setup should start automatically.

  • XC Setup does not start automatically with XConnect application.

Close current application. Start XC Setup manually from Start Menu. Then re-start XConnect application.

If error still persists, reboot computer.

Troubleshooting steps:

XC Setup must be running for all other XConnect applications to function properly. Various parameters are retrieved and stored by the XConnect applications.

Each XConnect application will attempt to start XC Setup if it is not running.

Ensure that:

  • XC Setup (XCSetup.exe) is in XConnect home directory.

Using Windows Explorer or My Computer, ensure that XC Setup was not accidentally deleted from the XConnect install directory. If not present, insert XConnect installation CD to repair.

Troubleshooting steps:

Potential reasons for error:

  • XC Setup is not running.

Ensure that XC Setup is shown on the Windows taskbar.

  • COM connection to XC Setup is corrupted. Close current application and re-start.

Troubleshooting steps:

Potential reasons for error:

  • XC Setup is not running.

Ensure that XC Setup is shown on the Windows taskbar.

  • COM connection to XC Setup is corrupted. Close current application and re-start.

Troubleshooting steps:

Ensure that:

  • Current XConnect application is part of the purchased XConnect license.

Refer to the original purchase order.

Troubleshooting steps:

Potential reasons for error:

  • Current XConnect application is not valid for use with existing XConnect license.

Call Sutron Sales to upgrade XConnect license.

Troubleshooting steps:

Ensure that:

  • File name exists in the directory. Verify using Windows Explorer or My Computer.

Troubleshooting steps:

Potential reasons for error:

  • File may be corrupt. If it is an ASCII file, can it be opened in Notepad.

  • File may be correct extension by wrong expected format. Choose another file.

Troubleshooting steps:

Potential reasons for error:

  • XC Setup is not running.

Ensure that XC Setup is shown on the Windows taskbar.

  • COM connection to XC Setup is corrupted. Close current application and re-start.

Troubleshooting steps:

Potential reasons for error:

  • XC Setup is not running.

Ensure that XC Setup is shown on the Windows taskbar.

  • COM connection to XC Setup is corrupted. Close current application and re-start.

Troubleshooting steps:

Potential reasons for error:

  • XC Setup is not running.

Ensure that XC Setup is shown on the Windows taskbar.

  • COM connection to XC Setup is corrupted. Close current application and re-start.

Troubleshooting steps:

Potential reasons for error:

  • XC Setup is not running.

Ensure that XC Setup is shown on the Windows taskbar.

  • COM connection to XC Setup is corrupted. Close current application and re-start.

Troubleshooting steps:

Potential reasons for error:

  • XC Setup is not running.

Ensure that XC Setup is shown on the Windows taskbar.

  • COM connection to XC Setup is corrupted. Close current application and re-start.

Troubleshooting steps:

Ensure that:

  • For HDR DDRGS, demod value is between 0 - 16.

  • For DRGS or DDRGS, demod value is between 0 - 7.

Troubleshooting steps:

Error resulted in an invalid header received in the satellite messages.

  • Monitor messages from this satellite ID. If errors continue, check the field DCP configuration.

Troubleshooting steps:

Error resulted in an invalid header received in the satellite messages.

  • Monitor messages from this satellite ID. If errors continue, check the field DCP configuration.

Troubleshooting steps:

Error resulted in an invalid header received in the satellite messages.

  • Monitor messages from this satellite ID. If errors continue, check the field DCP configuration.

Troubleshooting steps:

Error resulted in an invalid header received in the satellite messages.

  • Monitor messages from this satellite ID. If errors continue, check the field DCP configuration.

Troubleshooting steps:

Error resulted in an invalid header received in the satellite messages.

  • Monitor messages from this satellite ID. If errors continue, check the field DCP configuration.

Troubleshooting steps:

Error resulted in an invalid header received in the satellite messages.

  • Monitor messages from this satellite ID. If errors continue, check the field DCP configuration.

Troubleshooting steps:

Error resulted in an invalid header received in the satellite messages.

  • Monitor messages from this satellite ID. If errors continue, check the field DCP configuration.

Troubleshooting steps:

Potential reasons for error:

  • File path (directory) does not exist.

Open Windows Explorer. Browse to verify path of file name exists.

  • File currently open by another application, such as Notepad.

  • Insufficient hard disk space.

Click on My Computer. Click on the hard disk that XConnect is installed. Right click and select Properties. Verify disk space available.

Troubleshooting steps:

Potential reasons for error:

  • File path (directory) does not exist.

Open Windows Explorer. Browse to verify path of file name exists.

  • File currently open by another application, such as Notepad.

  • Insufficient hard disk space.

Click on My Computer. Click on the hard disk that XConnect is installed. Right click and select Properties. Verify disk space available.

Troubleshooting steps:

Copying raw files occurs when the user has selected from on the Mux setup parameters to make Raw File Copies.

Potential reasons for error:

  • Problem with opening or otherwise accessing Raw Path.

  • Problem with opening or otherwise accessing Copy path (i.e. Copy1, Copy2, Copy3...).

  • Problem with reading from Raw Path.

  • Problem with writing to copy path (i.e. Copy1, Copy2, Copy3...).

  • Problem getting Raw Path time stamp or attributes for copying.

Troubleshooting steps:

Potential reasons for error:

  • Errors in the header in received satellite message contain errors. These errors categorize the satellite message as illegal.

Monitor messages from this satellite ID. If errors continue, check the field DCP configuration

Troubleshooting steps:

This error may occur when using a True Time receiver to synchronize the system. The True Time receiver is synchronizing the time for the PC.

Potential reasons for error:

  • Unable to decode the time string received by the True Time receiver.

Verify True Time receiver is functioning properly.

Troubleshooting steps:

Potential reasons for communication error:

  • Verify the receive site is connected to the PC via a RS-232 cable.

  • Verify the receive site is connected to the communication port (i.e., COM1, COM2) displayed on the XC Mux status panel.

Troubleshooting steps:

Potential reasons for communication error:

  • Verify the receive site is connected to the PC via a RS-232 cable.

  • Verify the receive site is connected to the communication port (i.e., COM1, COM2) displayed on the XC Mux status panel.

Troubleshooting steps:

Potential reasons for communication error:

  • Verify the receive site is connected to the PC via a RS-232 cable.

  • Verify the receive site is connected to the communication port (i.e., COM1, COM2) displayed on the XC Mux status panel.

Troubleshooting steps:

Potential reasons for communication error:

  • Verify the receive site is connected to the PC via a RS-232 cable.

  • Verify the receive site is connected to the communication port (i.e., COM1, COM2) displayed on the XC Mux status panel.

Troubleshooting steps:

Prior to open the Demod settings window the com port will be closed. It will be re-opened after the Demod settings window is opened.

Potential reasons for error:

  • Communication port was able to be closed.

Try to manually close the port by selecting Port|Close Mux Port from the main menu or [image] from the toolbar.

If port does not close successfully, close XC Mux and re-start application.

Troubleshooting steps:

After open the Demod settings window and prior to sending any demod, baud or threshold commands, a carriage return (CR) is sent first to ensure proper communications.

Potential reasons for error:

  • Initial CR command was not successful.

Close Demod settings window and open Terminal window. Try to communicate with the DDRGS using command on help panel.

If error continues, close XC Mux and re-start application.

Troubleshooting steps:

Upon exiting the Demod Settings window, commands will be sent to the DDRGS to resume data collection mode.

Potential reasons for error:

  • Command to return to data collection mode (O000) failed.

Return to main window and select Terminal Mode option. Manually enter the O000 and the hit Enter. This will return DDRGS to data collection mode.

Troubleshooting steps:

Potential reasons for error:

  • While in the Send Demod Settings window, as XC Decode sends commands to change channels, baud rates or thresholds, responses from the DDRGS are expected.

Close Demod settings window and open Terminal window. Try to communicate with the DDRGS using command on help panel.

If error continues, close XC Mux and re-start application.

Troubleshooting steps:

Potential reasons for error:

  • While in the Send Demod Settings window, the request for demod settings for a selected demod failed. The HDR DDRGS did respond

First try to select another demo. If that fails also, close Demod settings window and open Terminal window. Try to communicate with the DDRGS using command on help panel.

If error continues, close XC Mux and re-start application.

Troubleshooting steps:

Potential reasons for error:

  • XC Setup is not running.

Ensure that XC Setup is shown on the Windows taskbar.

  • COM connection to XC Setup is corrupted. Close current application and re-start.

Troubleshooting steps:

Potential reasons for error:

  • XC Setup is not running.

Ensure that XC Setup is shown on the Windows taskbar.

  • COM connection to XC Setup is corrupted. Close current application and re-start.

Troubleshooting steps:

Potential reasons for error:

  • While in the Station Summary window, the selected station does not have a satellite id configured.

Open XC Desktop. Select the station and open the station setup window. Verify/enter the satellite ID. Click Reset [image] after saving changes.

Troubleshooting steps:

Potential reasons for error:

  • While in the Station Summary window, the raw message found for the selected contained invalid characters for the date and time.

Review the message in the list box displaying the messages. Verify any characters in the header.

Click Find Next to retrieve the next satellite message in the raw file.

Troubleshooting steps:

Potential reasons for error:

  • While in the Station Summary window, the raw message found for the selected contained invalid characters in the header.

Review the message in the list box displaying the messages. Verify corrupted characters in the header.

Click Find Next to retrieve the next satellite message in the raw file.

Troubleshooting steps:

Potential reasons for error:

  • While in the Station Summary window, the raw message found for the selected contained invalid characters for the message length.

Review the message in the list box displaying the messages. Verify any characters in the header.

Click Find Next to retrieve the next satellite message in the raw file.

Troubleshooting steps:

Potential reasons for error:

  • While in the Station Summary window, the satellite ID entered in the Custom ID edit box is less than 8 characters.

All satellite IDs must be 8 characters in length, as dictated by NESDIS.

Troubleshooting steps:

Potential reasons for error:

  • While in the Station Summary window, the quality log file selected to generate a performance report contained no quality data.

Open the quality log (.LOG) file in Notepad. Verify the file with the .LOG extension contains quality data/messages.

Troubleshooting steps:

Potential reasons for error:

  • While in the Station Summary window, the custom channel entered for the performance summary is invalid.

Valid channels are 000-999.

Troubleshooting steps:

Potential reasons for error:

  • While in the Station Summary window, the custom station entered for the performance summary is invalid.

The station name cannot be blank.

Troubleshooting steps:

XC Mux or XC Rtu failed to open the designated com port.

Ensure that:

  • Another application, such as HyperTerminal, is not open and using the com port.

Close other applications using com port. Select ReInitialize ( [image]) on the toolbar of XC Mux or XC Rtu to reinitialize the application and com ports.

Troubleshooting steps:

Potential reasons for error:

  • XC Mux, prior to entering the Terminal mode window or Send Demod Settings window or if a ReInitialize command is received, will close the com port and re-open it.

Try to close the port manually using the [image] toolbar option.

Try to manually reinitialize the application using the ReInitialize [image] toolbar option.

Close XC Mux and restart.

  • XC Rtu will close and reinitialize the com port if a ReInitialize command is received.

Try to manually reinitialize the application using the ReInitialize [image] toolbar option.

Close XC Rtu and restart.

Troubleshooting steps:

Potential reasons for error:

Troubleshooting steps:

Ensure that:

  • a com port (i.e., COM1, COM2, ...etc) has been defined in XC Desktop for XC Mux or XC Rtu.

Open XC Desktop. View the communication ports.

If using XC Mux, verify/add if there is a DDRGS port type.

If using XC Rtu, verify/add appropriate com ports for the telemetry used (i.e., radio, modem...etc).

Troubleshooting steps:

Ensure that:

Troubleshooting steps:

Ensure that:

Troubleshooting steps:

Ensure that:

Troubleshooting steps:

Ensure that:

Troubleshooting steps:

Ensure that:

Troubleshooting steps:

Ensure that:

Troubleshooting steps:

Ensure that:

Troubleshooting steps:

Ensure that:

Troubleshooting steps:

Ensure that:

Troubleshooting steps:

Ensure that:

Troubleshooting steps:

Ensure that:

Troubleshooting steps:

Ensure that:

Troubleshooting steps:

Ensure that:

Troubleshooting steps:

Ensure that:

Troubleshooting steps:

Ensure that:

Troubleshooting steps:

Ensure that:

Troubleshooting steps:

Ensure that:

Troubleshooting steps:

Ensure that:

Error Messages

Potential error messages generated by XC Mux are:

Error 1: User does not have correct privileges to perform action.

Error 2: Invalid user/password settings.

Error 3: Unable to run - .

Error 4: An instance of the "XCSetup.Applications" OLE Automation class could not be created. Is XC Setup running?

Error 5: XC Setup is not running. Process halted.

Error 6: An error occurred while retrieving parameters from XCSetup.

Error 7: Unable to retrieve General Setup parameters.

Error 8: Invalid License Key. Please verify XConnect is properly installed.

Error 9: Invalid License Key. Exiting now...

Error 100: Unable to open file xxx.

Error 101: Unable to read file xxx.

Error 400: Unable to retrieve XC Mux setup parameters.

Error 401: Unable to update XC Mux setup parameters.

Error 402: Unable to retrieve Mux demod parameters.

Error 403: Unable to update Mux demod parameters.

Error 404: Unable to retrieve Demod parameters for demod.

Error 405: Invalid Demod number - xxx.

Error 406: MuxToNes Parity Exception.

Error 407: MuxToNes EOT Exception - xxx.

Error 408: MuxToNes Freq Exception - xxx.

Error 409: MuxToNes Power Exception - xxx.

Error 410: MuxToNes Signal Exception - xxx.

Error 411: MuxToNes Modulation Exception - xxx.

Error 412: MuxToNes Faulty quality parameters: Message - xxx.

Error 413: Cannot create raw message file xxx.

Error 414: Cannot write raw message to file xxx.

Error 415: Unable to copy raw file to xxx.

Error 416: WARNING: Illegal message received from Mux xxx.

Error 417: Unable to correct PC time - xxx.

Error 418: Unable to set Mux time - xxx.

Error 419: Resetting Mux failed.

Error 420: Sending reset string to Mux failed.

Error 421: Unable to switch to Terminal mode.

Error 422: Unable to open Demod Settings window.

Error 423: Unable to send commands to com port.

Error 424: Unable to switch back to data collection (normal) mode. Switch over manually.

Error 425: Timed out wait for data.

Error 426: Error retrieving demod settings.

Error 427: Unable to save demod settings to XC Setup.

Error 428: Unable to save channel/format settings.

Error 429: No Satellite ID configured for xxx.

Error 430: Invalid date/time in message - xxx.

Error 431: Errors in header for - xxx.

Error 432: Errors in message data length - xxx.

Error 433: Satellite ID must be 8 characters in length.

Error 434: No data. No performance analysis generated.

Error 435: Invalid channel number.

Error 436: Invalid station.

Communication port errors:

Error 200: Unable to open

Error 201: Unable to close

Error 202: Exception occur while attempting to write to port -

Error 203: No port has been defined.

Error 204: LINE ERROR: Buffer overrun in COMM.DRV.

Error 205: LINE ERROR: UART receiver overrun.

Error 206: LINE ERROR: UART receiver parity error.

Error 207: LINE ERROR: UART receiver framing error.

Error 208: LINE ERROR: Transmit timeout waiting for CTS.

Error 209: LINE ERROR: Transmit timeout waiting for DSR.

Error 210: LINE ERROR: Transmit timeout waiting for RLSD.

Error 211: LINE ERROR: Transmit queue is full.

Error 212: LINE ERROR: Break condition received.

Error 213: Packet Buffer Exceeded -

Error 214: Unable to send text

Error 215: RegisterHandler Failed.

Error 216: Buffer Empty.

Error 217: GetBlock exception.

Error 218: Output buffer too small.

Error 219: Tracing not enabled.

Error 220: Logging not enabled.

Error 221: Base Address not set.

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Demod summary window

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Edit demod settings window

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Edit Mux Settings Window

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Last Message panel

The demod number indicates what demodulator received the transmission.

The date and time of when the message was received in Greenwich Mean Time (GMT).

The channel the message was received on.

Satellite ID, Platform ID, NESDIS ID or DCP Address.

Status of message. Possibilities are:

  • Good - Good message

  • Short Msg - Short message received

  • Bad Chan - Message received on wrong channel

  • Parity Err - Errors in message

Frequency Offset in 50 Hz increments of message.

0=0-49 Hz, 1=40-99 Hz, ... 8=400-449 Hz, A=500-549 Hz

A minus sign indicates the same range only below the center frequency.

Signal Strength of received message in dB. Normal operation is 44 to 48. Reliable data can be received as low as 37 if no other signal problem exists.

Modulation Index or Phase Deviation.

  • N = Normal, 60 +/- 5 degrees

  • H = High, > 70 degrees

  • L = Low, < 50 degrees

Signal to Noise quality.

  • N = Normal, error rate better than 1 x 10-6

  • F = Fair, error rate between 1 x 10-4 and 1 x 10-6

  • P = Poor, error rate worse than 1 x 10-4

Number of parity errors in the message.

The Last Message panel

The latest message panel displays the following information about the most recently received DCP message:

  • demod number

  • date and time

  • channel

  • satellite ID

  • status

  • frequency

  • power

  • modulation

  • signal to noise

  • parity errors

In addition, the panel also contains the following elements:

  • The name of the Output file where the DCP messages are being written.

  • A Show Data Control to toggle display of satellite data in the status window.

  • A Pause button to halt display of status messages in the status window.


Menu Bar

The Menu Bar

The Menu Bar provides access to the following menus:

File

  • Open -- selects a DDRGS Mux (.MUX) output file to process.

  • ReInitialize -- sends an application ReInitialize message to all applications (other XConnect programs and other client programs) connected to XC Setup controlling or using communcations ports (XC Mux and XC Rtu). Applications are instructed to flush their local buffers, reload the latest setup information from XC Setup and Reinitialize the communication ports by releasing the com port and opening it with new port parameters.

  • Login -- user login for XConnect system.

  • Exit -- terminate the application.

Port

  • Open Mux Port -- connect XC Mux to its assigned serial port.

  • Close Mux Port -- disconnect XC Mux from the current serial port.

Options

  • Reset Mux -- send reset commands to the DDRGS.

  • Set Time -- send a SetClock command to the DDRGS to synchronize the DDRGS clock with the PC clock.

  • Edit Setup Parameters -- edit the setup parameters for XC Mux.

  • Clear Status Messages -- clear the status window.

  • Log Status Messages -- log all status messages to a disk file.

Tools

  • Protocol Analyzer -- opens Protocol Analyzer window to monitor communication over the serial port.

  • Send Demod Settings -- opens Demod Settings window to assist user in configuring demod settings in DDRGS.

  • Terminal Mode -- opens Terminal Mode window that allows user to manually send configuration commands to the DDRGS.

  • Demod Summary -- opens Demod Summary window to view real-time update of each demodulator.

  • Station Summary -- opens Station Summary window and generate a report on one or more satellite IDs.

Help

  • XC Mux Help -- access this help system and defaults to Index tab.

  • XC Mux Contents -- access this help system an defaults to Contents tab.

  • About -- get version information for this application.


mux custom summary results

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


mux no data

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


mux peformance summary screen

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


mux performance summary example

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


mux satellite id summary results

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


mux station summary results

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


protocol analyzer window

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Send demod settings to DRGS window

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Station Summary Window

Copyright © 2003 - 2006 Sutron Corporation. All rights reserved.


Status Bar

The Status Bar

The Status Bar is divided in two sections. The left-hand panel displays the user logged in and his/her privileges. The right-hand panel displays parameter hints.

If no users are defined, the user logged in will be NONE and the privileges will be FULL. As soon as a user is defined in XC Desktop, the user and privileges displayed will be NONE and NONE.


Status Window

The Status Window

The Status Window gives a list of events performed or detected by the XC Mux program.

The RX and TX status lights will blink as data is being transmitted and received by XC Mux from the receive site multiplexor.

The DDRGS Port displays the communication port the XC Mux uses to communication to the receive site multiplexor.

The Msgs in DDRGS Buffer indicates the number of satellite messages stored in the receive site buffer waiting to be downloaded by XC Mux.

This list of status messages is in time order with each entry stamped with the date and time. Newest messages will appear at the top. Scroll bars will appear as needed to allow an operator to view parts of the display that may not fit in the window.


Toolbar

The XC Mux Toolbar

The toolbar area allows you to quickly access various XC Mux functions.

The following tools are provided:

Reinitialize application. Flush local buffers and reload the latest setup information from XC Setup. Additionally, XC Mux will release the port and obtain new port information and then re-open the port.

Connect XC Mux to its assigned serial port.

Disconnect XC Mux from the current serial port.

Send a SetClock command to the DDRGS to synchronize the DDRGS clock with the PC clock.

Edit the setup parameters for XC Mux.

Log all status messages to a disk file.

Open the protocol analyzer to monitor communication over the serial port.

Open a window to assist user in configuring demod settings in DDRGS.

Open an interactive terminal to manually send configuration commands to the DDRGS.

Open the demod summary window to view real-time update of each demodulator.

Generate a report on one or more satellite IDs.

Open the on-line help (this document).


Logging status messages

The purpose of the Log Status messages is more for troubleshooting. Logging all messages will provide Sutron customer support as a historical log of all events to help troubleshoot any problems. To log all status messages:

  1. Click the XC Mux icon on the desktop. The XC Mux will start minimized.

  2. From the Options menu, select Log Status Messages or from the toolbar click on the [image] icon. The user will be required to enter/select the name of the file to store the status messages.